<img src="https://github.com/31Carlton7/corona_spectator/blob/master/assets/images/banner.png"> </img>

# Corona Spectator

Corona Spectator is a coronavirus statistics and news app that has real time global COVID-19 stats. It includes useful tips to help guide your way through the pandemic. Be sure to leave a star 🌟.

[License](https://github.com/31Carlton7/corona_spectator/blob/master/LICENSE)

[Screenshots](#screenshots)

## About

At first I didn't have the intentions of making Corona Spectator because I personally thought that Coronavirus wasn't as big of an issue as it was last year. However, after taking a look our current circumstances of the Delta Variant, I thought it was necessary to create it. An all in one solution to get all the coronavirus information and help you need is something I think everyone should have during the pandemic. It's a long fight and we all must endure. So I hope this app will help you stay safe 🙏🏾.

## Developer Info

The API's and sources I use to obtain my information are courtesy of [Worldometers](https://www.worldometers.info/coronavirus/), [CSSEGISandData](https://github.com/CSSEGISandData/COVID-19), [Google News RSS Feed](https://news.google.com/rss?hl=en-US&gl=US&ceid=US:en), and [Disease.sh](https://disease.sh/).
To build the app I utilized the [Flutter SDK](https://flutter.dev) as the UI Framework and that uses [Dartlang](https://dart.dev) as the programming language. The list of packages the app uses can be found [here](https://github.com/31Carlton7/corona_spectator/blob/master/pubspec.yaml) under the `dependencies` indent. My UI Package I use to curate the UI can be found [here](https://github.com/31Carlton7/canton_design_system), however I will not be publishing the package on [pub.dev](pub.dev) anytime soon. This project is null safe. I also used Firebase Analytics and Crashlytics to better understand the users who use the app. There is no form of authentication or database usage.

## Features

- _Global Stats_: Get coronavirus statistics for ALL countries in the world.
- _Real Time_: Statistics are updated in 10 min and 24 hour intervals.
- _Special Stats for the USA_: Get State stats for your state.
- _News_: Get the latest coronavirus news and updates.
- _Prevention_: Get prevention tips to stay safe amid the pandemic.
- _Symptoms_: Take a look at symptoms of the Coronavirus and see if you maybe experiencing any of them.
- _Symptom Checker (SOON)_: Analyze your current state of being and get see if you may have coronavirus and get recommended to the nearest clinic.
- _Emergency Contact Hotlines_: Call 911, 119, and 112 straight from the app incase of an emergency.
- _Quick Links_: Quick links to coronavirus websites to seek more information.

## Getting Started

Assuming Flutter is installed and setup on your device (If not, follow the steps to do so [here](https://flutter.dev/docs/get-started/install)), Fork, clone, or download the code for this repository and navigate to the enclosing folder inside your terminal. Then use this command to run:

```
flutter run
```

## Screenshots

<table> 
  <th>Light Mode</th>
  <tr>
    <td> 
      <img width="250" src="https://github.com/31Carlton7/corona_spectator/blob/master/screenshots/light_mode/screenshot_1.png"> </img>
    </td>
    <td>
      <img width="250" src="https://github.com/31Carlton7/corona_spectator/blob/master/screenshots/light_mode/screenshot_2.png"> 
  </img> 
    </td>
    <td> 
        <img width="250" src="https://github.com/31Carlton7/corona_spectator/blob/master/screenshots/light_mode/screenshot_3.png"> 
  </img>
    </td>
  </tr>
  
  <tr>
     <td>
       <img width="250" src="https://github.com/31Carlton7/corona_spectator/blob/master/screenshots/light_mode/screenshot_4.png"> 
  </img>
    </td>
    <td>
      <img width="250" src="https://github.com/31Carlton7/corona_spectator/blob/master/screenshots/light_mode/screenshot_5.png">
    </td>
    <td> 
      <img width="250" src="https://github.com/31Carlton7/corona_spectator/blob/master/screenshots/light_mode/screenshot_6.png">
    </td>
  </tr>
  
   <tr>
    <td> 
      <img width="250" src="https://github.com/31Carlton7/corona_spectator/blob/master/screenshots/light_mode/screenshot_7.png"> </img>
    </td>
    <td>
      <img width="250" src="https://github.com/31Carlton7/corona_spectator/blob/master/screenshots/light_mode/screenshot_8.png"> 
  </img> 
    </td>
    <td> 
        <img width="250" src="https://github.com/31Carlton7/corona_spectator/blob/master/screenshots/light_mode/screenshot_9.png"> 
  </img>
    </td>
  </tr>
  
</table>

<table> 
  <th>Dark Mode</th>
  <tr>
    <td> 
      <img width="250" src="https://github.com/31Carlton7/corona_spectator/blob/master/screenshots/dark_mode/screenshot_1.png"> </img>
    </td>
    <td>
      <img width="250" src="https://github.com/31Carlton7/corona_spectator/blob/master/screenshots/dark_mode/screenshot_2.png"> 
  </img> 
    </td>
    <td> 
        <img width="250" src="https://github.com/31Carlton7/corona_spectator/blob/master/screenshots/dark_mode/screenshot_3.png"> 
  </img>
    </td>
  </tr>
  
  <tr>
     <td>
       <img width="250" src="https://github.com/31Carlton7/corona_spectator/blob/master/screenshots/dark_mode/screenshot_4.png"> 
  </img>
    </td>
    <td>
      <img width="250" src="https://github.com/31Carlton7/corona_spectator/blob/master/screenshots/dark_mode/screenshot_5.png">
    </td>
    <td> 
      <img width="250" src="https://github.com/31Carlton7/corona_spectator/blob/master/screenshots/dark_mode/screenshot_6.png">
    </td>
  </tr>
  
   <tr>
    <td> 
      <img width="250" src="https://github.com/31Carlton7/corona_spectator/blob/master/screenshots/dark_mode/screenshot_7.png"> </img>
    </td>
    <td>
      <img width="250" src="https://github.com/31Carlton7/corona_spectator/blob/master/screenshots/dark_mode/screenshot_8.png"> 
  </img> 
    </td>
    <td> 
        <img width="250" src="https://github.com/31Carlton7/corona_spectator/blob/master/screenshots/dark_mode/screenshot_9.png"> 
  </img>
    </td>
  </tr>
  
</table>

## Socials

If you have any questions, you can reach me here:

- Instagram: [@31carlton7](https://www.instagram.com/31carlton7/)
- Email: carltonaikins7@gmail.com

In God we trust 🙏🏾
